﻿@model IEnumerable<fenykepalbum_8.AspNetCore.NewDb.Models.Kepek>

@{
    ViewData["Title"] = "Index";
}

<h1>Index</h1>
<div class="bg-light p-3 border-dark border rounded">
<form asp-action="Index" method="get">
    <div class="row"> 
        <div class="col-2"></div>
        <div class="col-2">
            Szűrő
        </div>
        <div class="col-4">
            <input type="text" name="szűrő" class="border-0" value="@ViewData["szűrő"]" />
        </div>
        <div class="col-2">
            <input type="hidden" name="rendezés" value="@ViewData["rendezés"]" />
            <input type="hidden" name="oldalszám" value="@ViewData["oldalszám"]" />
            <input type="hidden" name="oldalméret" value="@ViewData["oldalméret"]" />
            <input type="submit" value="Szűrj" class="btn btn-outline-info  form-control" />
        </div>
        
        <div class="col-2">
            <a asp-action="Index" class="btn btn-outline-info form-control" asp-route-rendezés="@ViewData["rendezés"]" asp-route-oldalszám="@ViewData["oldalszám"]" asp-route-oldalméret="@ViewData["oldalméret"]">Teljes lista</a>
        </div>
    </div>
</form>
<br />


<form asp-action="Index" method="get">
    <div class="row">
        <input type="hidden" name="szűrő" value="@ViewData["szűrő"]" />
        <input type="hidden" name="rendezés" value="@ViewData["rendezés"]" />
        <input type="hidden" name="oldalszám" value="1" />
        <div class="col-2 ">
            <a asp-action="Index"
               asp-route-szűrő="@ViewData["szűrő"]"
               asp-route-rendezés="@ViewData["rendezés"]"
               asp-route-oldalszám="@((int)ViewData["oldalszám"] - 1)"
               asp-route-oldalméret="@((int)ViewData["oldalméret"])"
               class="btn btn-default btn-outline-info @ViewData["előző"]">
                <
            </a>
        </div>

        <div class="col-2">
            Oldalméret
        </div>
        <div class="col-4">
            <input type="text" name="oldalméret" class="border-0" value="@ViewData["oldalméret"]" />
        </div>
        <div class="col-2">
            <input type="submit" value="Méret " class="btn btn-outline-info  form-control" />
        </div>
        <div class="col-2 ">
            <a asp-action="Index"
               asp-route-szűrő="@ViewData["szűrő"]"
               asp-route-rendezés="@ViewData["rendezés"]"
               asp-route-oldalszám="@((int)ViewData["oldalszám"] + 1)"
               asp-route-oldalméret="@((int)ViewData["oldalméret"])"
               class="btn btn-default btn-outline-info float-right @ViewData["következő"]">
               >
            </a>
            </div>
        </div>
</form>
    </div>
<p>
    <a asp-action="Create">Új létrehozása</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                <a asp-action="Index" asp-route-megkellfordítani="true" asp-route-szűrő="@ViewData["szűrő"]" asp-route-rendezés="@ViewData["rendfnev"]" asp-route-oldalszám="@ViewData["oldalszám"]" asp-route-oldalméret="@ViewData["oldalméret"]">Kép, filenév</a>
            </th>
            <th>
                <a asp-action="Index" asp-route-megkellfordítani="true" asp-route-szűrő="@ViewData["szűrő"]" asp-route-rendezés="@ViewData["rendhol"]" asp-route-oldalszám="@ViewData["oldalszám"]" asp-route-oldalméret="@ViewData["oldalméret"]"> @Html.DisplayNameFor(model => model.Holkeszult)</a>
            </th>
            <th>
                <a asp-action="Index" asp-route-megkellfordítani="true" asp-route-szűrő="@ViewData["szűrő"]" asp-route-rendezés="@ViewData["rendmikor"]" asp-route-oldalszám="@ViewData["oldalszám"]" asp-route-oldalméret="@ViewData["oldalméret"]"> @Html.DisplayNameFor(model => model.Mikor) </a>
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Leiras)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <td style="border-bottom:none">
                    <img src="~/kepek/@item.Filenev" class="img-thumbnail kicsi" />
                </td>
                <td rowspan="2">
                    @Html.DisplayFor(modelItem => item.Holkeszult)
                </td>
                <td rowspan="2">
                    @Html.DisplayFor(modelItem => item.Mikor)
                </td>
                <td rowspan="2">
                    @Html.DisplayFor(modelItem => item.Leiras)
                </td>
                <td rowspan="2">
                    <a asp-action="Edit" asp-route-id="@item.Id">Szerkesztés</a> |
                    <a asp-action="Details" asp-route-id="@item.Id">Részletek</a> |
                    <a asp-action="Delete" asp-route-id="@item.Id">Törlés</a>
                </td>
            </tr>
            <tr>
                <td style="border-top:none">
                    @Html.DisplayFor(modelItem => item.Filenev)
                </td>
            </tr>
        }
    </tbody>
</table>
